Skip to main content
DELETE
/
api
/
v1
/
accounts
/
{account_id}
/
integrations
/
hooks
/
{hook_id}
Delete an Integration Hook
curl --request DELETE \
  --url https://app.chatwoot.com/api/v1/accounts/{account_id}/integrations/hooks/{hook_id} \
  --header 'api_access_token: <api-key>'
{
  "description": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>",
      "code": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

hook_id
integer
required

The numeric ID of the integration hook

Response

Success